> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instructor IAM permissions 

> Get the current IAM permissions of an instructor

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-instructor-iam-permissions
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-instructor-iam-permissions:
    post:
      tags:
        - User
      summary: 'Get instructor IAM permissions '
      description: >-
        Get the current IAM permissions of an instructor


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          instructorId:
                            type: string
                            minLength: 1
                            description: The instructor ID whose permissions to retrieve
                        required:
                          - instructorId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                policy:
                                  type: object
                                  properties:
                                    version:
                                      type: string
                                      description: IAM policy version
                                    statements:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          action:
                                            type: string
                                            enum:
                                              - Allow
                                              - Deny
                                            description: >-
                                              Whether this statement allows or denies
                                              access
                                          permissionSet:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  scope:
                                                    type: string
                                                    enum:
                                                      - All
                                                    description: >-
                                                      Scope indicating all permissions are
                                                      included
                                                required:
                                                  - scope
                                              - type: object
                                                properties:
                                                  scope:
                                                    type: string
                                                    enum:
                                                      - Selected
                                                    description: >-
                                                      Scope indicating only selected
                                                      permissions are included
                                                  permissions:
                                                    type: array
                                                    items:
                                                      type: string
                                                      enum:
                                                        - CreateCourse
                                                        - ListCourse
                                                        - DeleteCourse
                                                        - CreateCourseContent
                                                        - ListCourseContent
                                                        - ReadCourseContent
                                                        - UpdateCourseContent
                                                        - DeleteCourseContent
                                                        - CreateCourseCoupon
                                                        - UpdateCourseCoupon
                                                        - ListCourseCoupon
                                                        - DeleteCourseCoupon
                                                        - ListCoursePricing
                                                        - UpdateCoursePricing
                                                        - ListCourseStudent
                                                        - ListCourseStudentReview
                                                        - CreateCourseEnrolledStudent
                                                        - DeleteCourseEnrolledStudent
                                                        - ListContest
                                                        - ReadContest
                                                        - CreateContest
                                                        - UpdateContest
                                                        - DeleteContest
                                                        - ReadCourseLiveClass
                                                        - UpdateCourseLiveClass
                                                        - ListProductStudent
                                                        - CreateProduct
                                                        - ListProduct
                                                        - DeleteProduct
                                                        - CreateProductCoupon
                                                        - ListProductCoupon
                                                        - DeleteProductCoupon
                                                        - CreateCustomPage
                                                        - ListCustomPage
                                                        - ReadCustomPage
                                                        - UpdateCustomPage
                                                        - CreateCustomRedirect
                                                        - ListCustomRedirect
                                                        - UpdateCustomRedirect
                                                        - DeleteCustomRedirect
                                                        - CreateOneToOneEvent
                                                        - ListOneToOneEvent
                                                        - ReadOneToOneEvent
                                                        - UpdateOneToOneEvent
                                                        - CreateOneToOneSchedule
                                                        - ListOneToOneSchedule
                                                        - ReadOneToOneSchedule
                                                        - UpdateOneToOneSchedule
                                                        - ReadSale
                                                        - ReadUserAnalytic
                                                        - ReadPayout
                                                        - ReadSchoolBillingData
                                                        - ReadWebhook
                                                        - UpdateWebhook
                                                        - ListWebhookEventLog
                                                        - UpdateSchoolConfig
                                                        - CreateCommunityChannel
                                                        - ListCommunityChannel
                                                        - ReadCommunityChannel
                                                        - UpdateCommunityChannel
                                                        - DeleteCommunityChannel
                                                        - CreateCommunityChannelMessage
                                                        - ListCommunityChannelMessage
                                                        - UpdateCommunityChannelMessage
                                                        - DeleteCommunityChannelMessage
                                                        - CreateCommunityChannelParticipant
                                                        - ListCommunityChannelParticipant
                                                        - DeleteCommunityChannelParticipant
                                                        - CreateCommunityChannelBlacklistedUser
                                                        - ListCommunityChannelBlacklistedUser
                                                        - DeleteCommunityChannelBlacklistedUser
                                                        - CreateNewForm
                                                        - ReadExistingForm
                                                        - UpdateExistingForm
                                                        - ListFormSubmissions
                                                        - ListOnboardingFormData
                                                        - UpdateOnboardingFormData
                                                        - ListAllSchoolUsersPersonalData
                                                        - UpdateSchoolUserSensitiveData
                                                        - CreateUser
                                                        - DeleteUser
                                                        - ReadAffiliateMarketingConfig
                                                        - UpdateAffiliateMarketingConfig
                                                        - ReadAffiliateMarketingSales
                                                        - ReadGamificationConfig
                                                        - UpdateGamificationConfig
                                                        - ReadPlatformGlobalAnalytics
                                                        - CreateNewBlog
                                                        - ListAllBlogs
                                                        - ListSingleBlog
                                                        - UpdateExistingBlog
                                                        - DeleteBlog
                                                        - CreateBulkImportSyllabusData
                                                        - UpdateSchoolFeatures
                                                        - ListSchoolFeatures
                                                        - DeleteUserCourseProgress
                                                        - ReadPrivateApiKey
                                                        - ListAllLiveEvents
                                                        - ReadLiveEvent
                                                        - UpdateLiveEvent
                                                        - ListLiveEventCoupon
                                                        - CreateLiveEventCoupon
                                                        - ListLiveEventStudent
                                                        - CreateLiveEventStudent
                                                        - DeleteLiveEvent
                                                        - ReadLiveEventPricing
                                                        - UpdateLiveEventPricing
                                                        - ListAllSchoolInstructors
                                                        - UpdateSchoolInstructorIamPolicy
                                                        - CreateInstructorInSchool
                                                        - DeleteInstructorInSchool
                                                        - ReadSchoolEmailData
                                                        - UpdateSchoolEmailData
                                                        - ReadMarketingCampaign
                                                        - CreateMarketingCampaign
                                                        - UpdateMarketingCampaign
                                                        - DeleteMarketingCampaign
                                                        - UpdateProductEnrollment
                                                        - ReadEmailTemplate
                                                        - CreateEmailTemplate
                                                        - UpdateEmailTemplate
                                                        - DeleteEmailTemplate
                                                        - UpdateCustomPaymentGateway
                                                        - ReadCustomPaymentGateway
                                                        - ReadVideoLibrary
                                                        - UpdateVideoLibrary
                                                        - DeleteVideoLibrary
                                                        - ReadCodingLab
                                                        - UpdateCodingLab
                                                        - DeleteCodingLab
                                                        - CreateObjectStoreFile
                                                        - DeleteObjectStoreFile
                                                        - ReadObjectStoreFile
                                                        - ListObjectStore
                                                        - CreateBundle
                                                        - ListBundle
                                                        - ReadBundle
                                                        - UpdateBundle
                                                        - DeleteBundle
                                                        - CreateBundleCoupon
                                                        - UpdateBundleCoupon
                                                        - ListBundleCoupon
                                                        - DeleteBundleCoupon
                                                        - ListBundlePricing
                                                        - UpdateBundlePricing
                                                        - ListBundleStudent
                                                        - CreateBundleEnrolledStudent
                                                        - DeleteBundleEnrolledStudent
                                                    description: >-
                                                      List of specific IAM permissions when
                                                      scope is Selected
                                                required:
                                                  - scope
                                                  - permissions
                                                description: Permission set with selected permissions
                                            description: >-
                                              Set of permissions this statement
                                              applies to
                                          resourceSet:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  scope:
                                                    type: string
                                                    enum:
                                                      - All
                                                    description: >-
                                                      Scope indicating all resources are
                                                      included
                                                required:
                                                  - scope
                                              - type: object
                                                properties:
                                                  scope:
                                                    type: string
                                                    enum:
                                                      - Selected
                                                    description: >-
                                                      Scope indicating only selected resources
                                                      are included
                                                  resources:
                                                    type: array
                                                    items:
                                                      type: string
                                                    description: >-
                                                      List of specific resource IDs when scope
                                                      is Selected
                                                required:
                                                  - scope
                                                  - resources
                                                description: Resource set with selected resources
                                            description: >-
                                              Set of resources this statement applies
                                              to
                                        required:
                                          - action
                                          - permissionSet
                                          - resourceSet
                                        description: >-
                                          IAM policy statement defining access
                                          rules
                                      description: List of IAM policy statements
                                  required:
                                    - version
                                    - statements
                                  description: IAM policy containing version and statements
                              required:
                                - policy
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````